> For the complete documentation index, see [llms.txt](https://gitbook.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://gitbook.com/docs/developers/gitbook-api/api-reference/docs-sites/site-questions/list-the-questions-visitors-asked-a-sites-ask-ai-assistant.md).

# List the questions visitors asked a site's Ask AI assistant

Returns a paginated list of the questions visitors asked a site's Ask AI assistant, each with usage stats. Use it to discover what users are looking for and where the documentation has gaps.

```json
{"openapi":"3.1.0","info":{"title":"GitBook API","version":"0.0.1-beta"},"tags":[{"name":"site-questions","description":"Inspect the canonical questions asked on your site, the generated answers linked to each question, and the sources used for each answer.\n\n{% openapi-schemas spec=\"gitbook\" schemas=\"SiteQuestion,SiteQuestionAnswer,SiteQuestionAnswerWithResponse,SiteQuestionAnswerSource\" grouped=\"false\" %}\n    The Site Questions objects\n{% endopenapi-schemas %}\n"}],"servers":[{"url":"{host}/v1","variables":{"host":{"default":"https://api.gitbook.com"}}}],"security":[{"user":[]},{"oauth":["site:insights:read"]}],"components":{"securitySchemes":{"user":{"type":"http","scheme":"bearer"},"oauth":{"type":"oauth2","flows":{"authorizationCode":{"authorizationUrl":"https://oauth.gitbook.com/authorize","tokenUrl":"https://oauth.gitbook.com/token","scopes":{"user:read":"Read your GitBook user profile.","organization:read":"Read organization settings and metadata.","organization:write":"Create and update organization settings.","organization:members:read":"Read organization members, invites and link invites.","organization:members:write":"Manage organization members, invites and link invites.","organization:ask":"Ask AI questions across an organization's content.","organization:search":"Search across an organization's content.","space:read":"Read spaces and their content.","space:write":"Create, update and delete spaces and their content, including imports.","space:permissions:read":"Read space permissions.","space:permissions:write":"Manage space permissions.","change-request:merge":"Merge change requests, publishing their changes to the space.","site:read":"Read sites and their settings.","site:write":"Create, update and delete sites, sections and their settings.","site:publish":"Publish and unpublish sites, controlling their public exposure.","site:permissions:read":"Read site permissions.","site:permissions:write":"Manage site permissions.","site:auth:read":"Read site authentication and security configuration.","site:auth:write":"Manage site authentication and security configuration.","site:insights:read":"Read site analytics and insights.","site:ask":"Ask AI questions across a site's content.","site:search":"Search across a site's content.","openapi:read":"Read OpenAPI specifications.","openapi:write":"Create, update and delete OpenAPI specifications."}}}}},"parameters":{"organizationId":{"name":"organizationId","in":"path","required":true,"description":"The unique id of the organization","schema":{"$ref":"#/components/schemas/EntityId"}},"siteId":{"name":"siteId","in":"path","required":true,"description":"The unique id of the site","schema":{"type":"string"}},"listOrder":{"name":"order","in":"query","description":"An order for the items in the list","schema":{"type":"string","default":"desc","enum":["asc","desc"]}},"listPage":{"name":"page","in":"query","description":"Identifier of the page results to fetch.","schema":{"type":"string"}},"listLimit":{"name":"limit","in":"query","description":"The number of results per page","schema":{"type":"number","minimum":0,"maximum":1000}}},"schemas":{"EntityId":{"type":"string","pattern":"^[a-zA-Z0-9_-]+$","description":"A unique entity identifier"},"Timestamp":{"type":"string","format":"date-time"},"SiteQuestionType":{"type":"string","description":"Type classification of the user question.","enum":["exploring","how-to","troubleshooting","reference","unknown"]},"SiteQuestionAnswerRelevance":{"type":"string","description":"Relevance classification of the user question.","enum":["relevant","spam","off-topic","unclear"]},"SiteChannelType":{"oneOf":[{"$ref":"#/components/schemas/SiteCoreChannelType"},{"$ref":"#/components/schemas/SiteConfigurableChannelType"}]},"SiteCoreChannelType":{"type":"string","enum":["site","embed","api"]},"SiteConfigurableChannelType":{"type":"string","enum":["builtin:slack","builtin:discord","builtin:github","builtin:linear"]},"SiteQuestionAnswerResolution":{"type":"string","description":"Whether the response answered the question.","enum":["no","partially","yes"]},"List":{"type":"object","properties":{"next":{"type":"object","properties":{"page":{"type":"string","description":"Unique identifier to query the next results page"}},"required":["page"]},"count":{"type":"number","description":"Total count of objects in the list"}}},"SiteQuestion":{"type":"object","properties":{"object":{"type":"string","enum":["site-question"]},"id":{"type":"string","description":"The ID of the site question."},"question":{"type":"string","description":"Canonical text for the unique site question."},"type":{"$ref":"#/components/schemas/SiteQuestionType"},"createdAt":{"$ref":"#/components/schemas/Timestamp"},"askedAt":{"$ref":"#/components/schemas/Timestamp"},"stats":{"$ref":"#/components/schemas/SiteQuestionStats"},"urls":{"type":"object","description":"URLs associated with the site question.","properties":{"location":{"type":"string","format":"uri","description":"URL of the site question in the API."}},"required":["location"]}},"required":["object","id","question","type","createdAt","askedAt","stats","urls"]},"SiteQuestionStats":{"type":"object","description":"Aggregated stats for questions and linked answers.","properties":{"total":{"type":"number","description":"Total count of questions included in the aggregation."},"answers":{"type":"number","description":"Total count of answers linked to the questions."},"feedback":{"$ref":"#/components/schemas/SiteQuestionStatsFeedback"},"answered":{"$ref":"#/components/schemas/SiteQuestionStatsAnswered"},"relevance":{"$ref":"#/components/schemas/SiteQuestionStatsRelevance"},"types":{"$ref":"#/components/schemas/SiteQuestionStatsTypes"},"channelTypes":{"$ref":"#/components/schemas/SiteQuestionStatsChannelTypes"},"channels":{"$ref":"#/components/schemas/SiteQuestionStatsChannels"},"weeklyPulse":{"type":"array","minItems":13,"maxItems":13,"description":"Weekly count of related question answers for the past 3 months.","items":{"type":"number"}}},"required":["total","answers","feedback","answered","relevance","types","channelTypes","channels","weeklyPulse"]},"SiteQuestionStatsFeedback":{"type":"object","description":"Aggregated feedback for answers linked to a site question.","properties":{"positive":{"type":"number","description":"Count of answers with positive feedback."},"negative":{"type":"number","description":"Count of answers with negative feedback."},"unrated":{"type":"number","description":"Count of answers without feedback."}},"required":["positive","negative","unrated"]},"SiteQuestionStatsAnswered":{"type":"object","description":"Aggregated answered assessment for answers linked to a site question.","properties":{"yes":{"type":"number","description":"Count of answers assessed as fully answered."},"partially":{"type":"number","description":"Count of answers assessed as partially answered."},"no":{"type":"number","description":"Count of answers assessed as not answered."}},"required":["yes","partially","no"]},"SiteQuestionStatsRelevance":{"type":"object","properties":{"relevant":{"type":"number"},"spam":{"type":"number"},"off-topic":{"type":"number"},"unclear":{"type":"number"}},"required":["relevant","spam","off-topic","unclear"]},"SiteQuestionStatsTypes":{"type":"object","properties":{"exploring":{"type":"number"},"how-to":{"type":"number"},"troubleshooting":{"type":"number"},"reference":{"type":"number"},"unknown":{"type":"number"}},"required":["exploring","how-to","troubleshooting","reference","unknown"]},"SiteQuestionStatsChannelTypes":{"type":"object","description":"Count of answers by site channel type, including core channels.","additionalProperties":{"type":"number"}},"SiteQuestionStatsChannels":{"type":"object","description":"Count of answers by site channel ID.","additionalProperties":{"type":"number"}}}},"paths":{"/orgs/{organizationId}/sites/{siteId}/questions":{"get":{"operationId":"listSiteQuestions","summary":"List the questions visitors asked a site's Ask AI assistant","description":"Returns a paginated list of the questions visitors asked a site's Ask AI assistant, each with usage stats. Use it to discover what users are looking for and where the documentation has gaps.","tags":["site-questions"],"parameters":[{"$ref":"#/components/parameters/organizationId"},{"$ref":"#/components/parameters/siteId"},{"name":"from","in":"query","description":"Filter stats to answers created at or after this timestamp.","schema":{"$ref":"#/components/schemas/Timestamp"}},{"name":"to","in":"query","description":"Filter stats to answers created at or before this timestamp.","schema":{"$ref":"#/components/schemas/Timestamp"}},{"name":"type","in":"query","description":"Filter questions by question type.","schema":{"$ref":"#/components/schemas/SiteQuestionType"}},{"name":"relevance","in":"query","description":"Filter questions by question relevance.","schema":{"type":"array","items":{"$ref":"#/components/schemas/SiteQuestionAnswerRelevance"}}},{"name":"channelType","in":"query","description":"Filter questions by answer channel type.","schema":{"type":"array","items":{"$ref":"#/components/schemas/SiteChannelType"}}},{"name":"answered","in":"query","description":"Filter questions by answer resolution.","schema":{"type":"array","items":{"$ref":"#/components/schemas/SiteQuestionAnswerResolution"}}},{"name":"topic","in":"query","description":"Filter questions by associated site topic IDs.","schema":{"type":"array","items":{"type":"string"}}},{"$ref":"#/components/parameters/listOrder"},{"name":"sort","in":"query","description":"Sort questions by latest ask activity, answered rate, or positive feedback rate. If omitted, ordering stays on canonical question creation date to preserve current behavior.","schema":{"type":"string","enum":["askedAt","stats.answered","stats.feedback","stats.answers"]}},{"$ref":"#/components/parameters/listPage"},{"$ref":"#/components/parameters/listLimit"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/List"},{"type":"object","required":["items"],"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/SiteQuestion"}}}}]}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://gitbook.com/docs/developers/gitbook-api/api-reference/docs-sites/site-questions/list-the-questions-visitors-asked-a-sites-ask-ai-assistant.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
